image: python:latest

before_script:
  - apt-get update && apt-get install make --no-install-recommends -y
  - pip install poetry
  - poetry config virtualenvs.in-project true
  - poetry install

pages:
  script:
    - poetry run sphinx-build docs/source docs/build
  after_script:
    - mv docs/build/ ./public/
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

package:
  script:
    - poetry build
    - poetry config repositories.gitlab "https://gitlab.com/api/v4/projects/$CI_PROJECT_ID/packages/pypi"
    - poetry config http-basic.gitlab gitlab-ci-token "$CI_JOB_TOKEN"
    - poetry publish --repository gitlab
  only:
    - tags
